export declare class CardReader extends android.app.Activity {
    hasStarted: any;
    mScanning: any;
    bluetoothManager: any;
    bluetoothAdapter: any;
    private _callbacks;
    onCreate(savedInstanceState: android.os.Bundle): void;
    protected defaultObject(): {
        prefix: string;
        type: string;
        scanTimeout: number;
        callback: (card: any) => void;
    };
    start(userConfig: any): boolean;
    say(msg: any): void;
    private isBleSupported();
    startBluetooth(): void;
    startScanning(): void;
    registerBroadcasters(): void;
    scanReceiver(context: any, intent: any): void;
    scanFinished(intent: any): void;
    startSunskyDevice(): void;
    startMagTekDevice(): void;
    requestUserPermissions(): Promise<any>;
    hasPermissions(): Promise<{}>;
    private getManualAudioConfig();
    private isEmpty(obj);
    setVolumeToMax(): void;
    restoreVolume(): void;
}
export declare class MagReadListener extends com.square.MagReadListener {
    updateBits(bits: any): void;
    updateBytes(bytes: any): void;
    getCardDetails(bytes: any): {
        number: any;
        exp_month: any;
        exp_year: any;
    };
}
